[Top][All Lists]
[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
[Automake-ng] [FYI] [ng] cleanup: after recent merge of 'master' branch
From: |
Stefano Lattarini |
Subject: |
[Automake-ng] [FYI] [ng] cleanup: after recent merge of 'master' branch |
Date: |
Tue, 21 Feb 2012 16:10:24 +0100 |
* .gitignore: Fix name of automake and aclocal wrappers used in the
testsuite, to account for the recent version downgrade (to 0.5a) of
Automake-NG.
* tests/make-dryrun.tap, tests/parallel-tests-empty-testlogs.test,
tests/parallel-tests-extra-programs.test, tests/lex-noyywrap.test,
tests/lex-libobj.test, tests/parallel-tests3.test, tests/man8.test,
tests/man6.test, tests/lex-lib-external.test: Remove useless
workarounds or probing for non-GNU make.
* tests/make-dryrun.tap: Don't pass 'AM_MAKEFLAGS' definition to
make invocations.
---
.gitignore | 4 +-
tests/lex-lib-external.test | 2 +-
tests/lex-libobj.test | 2 +-
tests/lex-noyywrap.test | 2 +-
tests/make-dryrun.tap | 33 ++++++++---------------------
tests/man6.test | 4 ---
tests/man8.test | 4 ---
tests/parallel-tests-empty-testlogs.test | 11 +---------
tests/parallel-tests-extra-programs.test | 14 ++----------
tests/parallel-tests3.test | 25 +--------------------
10 files changed, 20 insertions(+), 81 deletions(-)
diff --git a/.gitignore b/.gitignore
index 6ee3708..7bba195 100644
--- a/.gitignore
+++ b/.gitignore
@@ -47,8 +47,8 @@ Makefile
/doc/amhello/install-sh
/doc/amhello/missing
/lib/Automake/Config.pm
-/tests/wrap/aclocal-1.*
-/tests/wrap/automake-1.*
+/tests/wrap/aclocal-*
+/tests/wrap/automake-*
/tests/defs-static
/tests/testsuite-part.am
/tests/*-w.tap
diff --git a/tests/lex-lib-external.test b/tests/lex-lib-external.test
index 47bee77..d50ae39 100755
--- a/tests/lex-lib-external.test
+++ b/tests/lex-lib-external.test
@@ -71,6 +71,6 @@ if cross_compiling; then :; else
echo BAD | ./lexer && Exit 1
: For shells with busted 'set -e'.
fi
-yl_distcheck
+$MAKE distcheck
:
diff --git a/tests/lex-libobj.test b/tests/lex-libobj.test
index 3837a0b..3bd4f8a 100755
--- a/tests/lex-libobj.test
+++ b/tests/lex-libobj.test
@@ -70,6 +70,6 @@ grep LIBOBJS Makefile # For debugging.
grep '^LIBOBJS *=.*yywrap.*\.o' Makefile # Sanity check.
$MAKE
-yl_distcheck
+$MAKE distcheck
:
diff --git a/tests/lex-noyywrap.test b/tests/lex-noyywrap.test
index a0eb731..5b002c8 100755
--- a/tests/lex-noyywrap.test
+++ b/tests/lex-noyywrap.test
@@ -67,6 +67,6 @@ if cross_compiling; then :; else
fi
# Sanity check on distribution.
-yl_distcheck DISTCHECK_CONFIGURE_FLAGS='LEXLIB="none needed"'
+$MAKE distcheck DISTCHECK_CONFIGURE_FLAGS='LEXLIB="none needed"'
:
diff --git a/tests/make-dryrun.tap b/tests/make-dryrun.tap
index e54ae01..a581bc4 100755
--- a/tests/make-dryrun.tap
+++ b/tests/make-dryrun.tap
@@ -21,12 +21,6 @@ am_parallel_tests=yes # Avoid generation of a useless
wrapper test.
plan_ 14
-if echo "all: ; @+printf %sbb%s aa cc" | $MAKE -n -f - | grep aabbcc; then
- make_plus_silence () { return 0; }
-else
- make_plus_silence () { return 1; }
-fi
-
mkdir sub
echo AC_OUTPUT >> configure.in
@@ -64,8 +58,8 @@ check_no_dryrun
# make running in normal mode was sometimes mistaken for make running
# in dry mode.
check_no_dryrun TESTS="n1.test n2.test"
-check_no_dryrun TESTS="n1 n2" AM_MAKEFLAGS="TESTS='n1 n2'"
-check_no_dryrun TESTS="n1 n2" AM_MAKEFLAGS='TESTS="n1 n2"'
+check_no_dryrun TESTS="n1 n2"
+check_no_dryrun TESTS="n1 n2"
check_no_dryrun FOOFLAGS="-n -n -knf2 n --none -n"
check_no_dryrun MYFLAGS="-n --dryrun -n --dry-run -n"
@@ -73,26 +67,17 @@ check_no_dryrun MYFLAGS="-n --dryrun -n --dry-run -n"
check_dryrun ()
{
- r=ok directive=
- case $1 in
- -C) condition=$2 reason=$3; shift; shift; shift;;
- *) condition=: reason=;;
- esac
- if $condition; then
- $MAKE dry ${1+"$@"} || r='not ok'
- test -f from-dry-mode || r='not ok'
- rm -f from-dry-mode || fatal_ "cleaning up"
- else
- directive=SKIP
- fi
- result_ "$r" -D "$directive" -r "$reason" "not dry-run ($cnt)"
- unset r directive reason
+ r=ok
+ $MAKE dry ${1+"$@"} || r='not ok'
+ test -f from-dry-mode || r='not ok'
+ rm -f from-dry-mode || fatal_ "cleaning up"
+ result_ "$r" "not dry-run ($cnt)"
cnt=`expr $cnt + 1`
}
cnt=1
-check_dryrun -C make_plus_silence 'recipe prefix "+" unsupported' -n
-check_dryrun -C using_gmake "\$MAKE is not GNU make" --dry-run -k
+check_dryrun -n
+check_dryrun --dry-run -k
# ----------------------------------------------------------------------
diff --git a/tests/man6.test b/tests/man6.test
index daf0842..aa49049 100755
--- a/tests/man6.test
+++ b/tests/man6.test
@@ -20,10 +20,6 @@
required=help2man
. ./defs || Exit 1
-# Avoid a spurious failure due to a known FreeBSD make incompatibility.
-useless_vpath_rebuild \
- && skip_ "VPATH useless rebuild detected (see bug#7884)"
-
cat > Makefile.am << 'END'
dist_man_MANS = $(srcdir)/foobar.1 bazquux.1 zardoz.1
dist_bin_SCRIPTS = foobar bazquux zardoz
diff --git a/tests/man8.test b/tests/man8.test
index bdc0feb..e03341b 100755
--- a/tests/man8.test
+++ b/tests/man8.test
@@ -18,10 +18,6 @@
. ./defs || Exit 1
-# Avoid a spurious failure due to a known FreeBSD make incompatibility.
-useless_vpath_rebuild \
- && skip_ "VPATH useless rebuild detected (see bug#7884)"
-
cat > Makefile.am << 'END'
dist_man_MANS = foo.1
foo.1:
diff --git a/tests/parallel-tests-empty-testlogs.test
b/tests/parallel-tests-empty-testlogs.test
index 4e22e21..9e27041 100755
--- a/tests/parallel-tests-empty-testlogs.test
+++ b/tests/parallel-tests-empty-testlogs.test
@@ -34,18 +34,9 @@ mkdir sub1 sub2
cat > sub1/Makefile.am << 'END'
TESTS =
-END
-
-# When $(TESTS) is empty, NetBSD 5.1 make ends up defining $(TESTS_LOGS)
-# to ".log" rather than to the empty string (as would be expected).
-# But our recipes are smart enough to work around such a botched-up
-# substitution, so let's not bother too much about it.
-if using_gmake; then
- unindent >> sub1/Makefile.am << 'END'
- check-local:
+check-local:
echo $(TEST_LOGS) | grep . && exit 1; exit 0
END
-fi
cat > sub2/Makefile.am << 'END'
TESTS = foo.test
diff --git a/tests/parallel-tests-extra-programs.test
b/tests/parallel-tests-extra-programs.test
index 15857f8..94f4aef 100755
--- a/tests/parallel-tests-extra-programs.test
+++ b/tests/parallel-tests-extra-programs.test
@@ -121,13 +121,7 @@ $MAKE -k check >stdout 2>stderr || st=$?
cat stdout
cat stderr >&2
ls -l
-if using_gmake; then
- test $st -gt 0 || Exit 1
-else
- # Don't trust exit status of "make -k" for non-GNU make.
- $MAKE check && Exit 1
- : For shells with busted 'set -e'.
-fi
+test $st -gt 0
# Files that should have been created, with the expected content.
cat bar.c
@@ -143,10 +137,8 @@ grep '^PASS: baz\.test$' stdout
# $(EXEEXT).
grep '^PASS: foo\.bin' stdout
grep '^PASS: bar\.bin' stdout
-# Expected error messages from make. Some make implementations (e.g.,
-# FreeBSD make) seem to print the error on stdout instead, so check for
-# it there as well.
-$EGREP 'none\.(bin|o|c)' stderr stdout
+# Expected error messages from make.
+$EGREP 'none\.(bin|o|c)' stderr
# What we check now:
# 1. if we make the last EXTRA_PROGRAM buildable, the failed tests
diff --git a/tests/parallel-tests3.test b/tests/parallel-tests3.test
index b37cf0a..ffa900e 100755
--- a/tests/parallel-tests3.test
+++ b/tests/parallel-tests3.test
@@ -24,27 +24,6 @@ case $MAKE in
*\ -j*) skip_ "\$MAKE contains \`-j'";;
esac
-if using_gmake; then
- j=-j
-else
- unindent > Makefile <<END
- all: one two
- one:
- $sleep && test -f two
- two:
- echo ok > \$@
-END
- for j in "-j" "-j " NONE; do
- if test x"$j" = xNONE; then
- skip_ "can't run make in parallel mode"
- fi
- $MAKE ${j}2 all >output 2>&1 || continue
- $EGREP -i "(warning|error):|-j[\"\'\` ]" output && continue
- break
- done
- rm -f one output Makefile
-fi
-
cat >> configure.in << 'END'
AC_OUTPUT
END
@@ -87,13 +66,13 @@ for build in serial parallel; do
done
cd serial
-$MAKE ${j}1 check &
+$MAKE -j1 check &
cd ../parallel
$sleep
# Use append mode here to avoid dropping output.
# Yes, this actually happens.
: >stdout
-$MAKE ${j}4 check >> stdout
+$MAKE -j4 check >> stdout
cd ..
# Ensure the tests are really being run in parallel mode: if this is
# the case, the serial run of the dummy testsuite started above should
--
1.7.9
[Prev in Thread] |
Current Thread |
[Next in Thread] |
- [Automake-ng] [FYI] [ng] cleanup: after recent merge of 'master' branch,
Stefano Lattarini <=